Skip to main content
`Ctrl`+`K`

# numpy.polynomial.chebyshev.chebder

polynomial.chebyshev.chebder(c, m=1, scl=1, axis=0)

  Differentiate a Chebyshev series.

  Returns the Chebyshev series coefficients c differentiated m times along axis. At each iteration the result is multiplied by scl (the scaling factor is for use in a linear change of variable). The argument c is an array of coefficients from low to high degree along each axis, e.g., [1,2,3] represents the series `1*T_0 + 2*T_1 + 3*T_2` while [[1,2],[1,2]] represents `1*T_0(x)*T_0(y) + 1*T_1(x)*T_0(y) + 2*T_0(x)*T_1(y) + 2*T_1(x)*T_1(y)` if axis=0 is `x` and axis=1 is `y`.

  Parameters:
    c array_like

      Array of Chebyshev series coefficients. If c is multidimensional the different axis correspond to different variables with the degree in each axis given by the corresponding index.

    m int, optional

      Number of derivatives taken, must be non-negative. (Default: 1)

    scl scalar, optional

      Each differentiation is multiplied by scl. The end result is multiplication by `scl**m`. This is for use in a linear change of variable. (Default: 1)

    axis int, optional

      Axis over which the derivative is taken. (Default: 0).

  Returns:
    der ndarray

      Chebyshev series of the derivative.

  See also

  `chebint`

  Notes

  In general, the result of differentiating a C-series needs to be “reprojected” onto the C-series basis set. Thus, typically, the result of this function is “unintuitive,” albeit correct; see Examples section below.

  Examples

      >>> from numpy.polynomial import chebyshev as C
      >>> c = (1,2,3,4)
      >>> C.chebder(c)
      array([14., 12., 24.])
      >>> C.chebder(c,3)
      array([96.])
      >>> C.chebder(c,scl=-1)
      array([-14., -12., -24.])
      >>> C.chebder(c,2,-1)
      array([12.,  96.])